<?php

/**
 * @file
 * Hooks provided by the Search API Decoupled UI module.
 */

/**
 * Alter the search API endpoint block render array.
 *
 * @param array $build
 *   The block render array.
 * @param \Drupal\search_api_decoupled_ui\SearchApiEndpointUiInterface $search_api_endpoint
 *   The search api endoint object.
 * @param \Drupal\Core\Cache\CacheableMetadata $cacheable_metadata
 *   The cacheable metadata object.
 */
function hook_sea_ui_block_alter(&$build, $search_api_endpoint, $cacheable_metadata) {
  if ($search_api_endpoint->id() === 'default') {
    $build['#attached']['drupalSettings']['search_api_endpoint']['default']['search_input']['placeholder'] = 'Search for contents';
  }
}
